Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2010-ALE-016

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 29 octobre 2010
No CERTA-2010-ALE-016-001

Affaire suivie par :

CERTA

BULLETIN D'ALERTE DU CERTA

Objet : Vulnérabilité Adobe Shockwave Player


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2010-ALE-016

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2010-ALE-016-001
Titre Vulnérabilité Adobe Shockwave Player
Date de la première version 22 octobre 2010
Date de la dernière version 29 octobre 2010
Source(s) Bulletin de sécurité Adobe du 21 octobre 2010
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Exécution de code arbitraire à distance ;
  • déni de service à distance.

2 Systèmes affectés

  • Adobe Shockwave Player 11.5.8.612 et antérieures.

Cette vulnérabilité peut affecter les systèmes d'exploitation suivants :

  • Microsoft Windows ;
  • Apple Mac OS X.

3 Résumé

Une vulnérabilité découverte dans Adobe Shockwave Player permet à un utilisateur de provoquer un déni de service ou d'exécuter du code arbitraire à distance.

4 Description

Une vulnérabilité causée par une erreur dans le traitement des fichiers au format DIR a été découverte dans Adobe Shockwave Player. Elle permet à une personne malveillante distante de provoquer un déni de service ou d'exécuter du code arbitraire. Cette vulnérabilité peut être exploitée au moyen d'un fichier DIR spécialement construit, via un navigateur Internet mais d'autres vecteurs d'exploitation sont envisageables.

5 Contournement provisoire

Ces contournements provisoires ne sont plus d'actualité, un correctif étant disponible Désactiver Shockwave Player.

Afin de limiter l'impact lié à l'exploitation de cette vulnérabilité, les contournements décrits ci-dessous, non exhaustifs, peuvent être appliqués.

Remarque : la mise en oeuvre de ces contournements de sécurité peut avoir des effets de bords sur l'activité du système. Il est important de les tester avant tout déploiement.

5.1 ActiveX pour Internet Explorer

Désactiver le contrôle ActiveX. Il faut positionner la valeur Compatibility Flags pour le Class Identifier comme décrit ci-dessous :
[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\ActiveX Compatibility\{XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}]
``Compatibility Flags''=dword:00000400

Class Identifier à désactiver :

{233C1507-6A77-46A4-9443-F871F945D258}

5.2 Module pour Mozilla Firefox

Désactiver le module Shockwave for Director dans le navigateur de Mozilla Firefox :
  • Dans Outils, puis Modules complémentaires ;
  • sélectionner le module Shockwave for Director et le désactiver.

6 Solution

Se référer au bulletin de sécurité Adobe APSB10-25 du 28 octobre 2010 pour l'obtention des correctifs (cf. section Documentation).

7 Documentation

Gestion détaillée du document

22 octobre 2010
version initiale.
29 octobre 2010
ajout du correctif.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-08-17